vlib_callbacks.c File Reference

Implementations of callback registration HBA API functions. More...

`#include "vlib.h"`

## Functions

HBA_STATUS | HBA_RemoveCallback (HBA_CALLBACKHANDLE callbackHandle)
HBA_STATUS | HBA_RegisterForAdapterAddEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS | HBA_RegisterForAdapterEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS | HBA_RegisterForAdapterPortEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS | HBA_RegisterForAdapterPortStatEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_PORTSTATISTICS stats, HBA_UINT32 statType, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS | HBA_RegisterForTargetEvents (void(*pCallback)(void *, HBA_WWN, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN discoveredPortWWN, HBA_CALLBACKHANDLE *pCallbackHandle, HBA_UINT32 allTargets)
HBA_STATUS | HBA_RegisterForLinkEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32, void *, HBA_UINT32), void *pUserData, void *pRLIRBuffer, HBA_UINT32 RLIRBufferSize, HBA_HANDLE handle, HBA_CALLBACKHANDLE *pCallbackHandle)

## Detailed Description

Implementations of callback registration HBA API functions.

Note
  We only include vlib.h which in turn should include all other necessary header files.

This file contains the implementations of callback registration HBA API routines.